---
search:
  tags:
    - Lobbies
    - GET
seo:
  description: >-
    Lists open lobbies marked public, newest first. Use it to find a public
    lobby to… Reference for the GET /lobbies endpoint in the dartpilot Public
    API.
sidebar:
  label: List public lobbies
  badge: GET
title: List public lobbies
type: openapi-operation
---
Lists open lobbies marked public, newest first. Use it to find a public lobby to display; active games are listed separately by `/v1/games/live`.

`GET /lobbies`

**Responses**

- `200` — A page of public lobbies.
- `400` — Invalid request.
- `401` — Missing or invalid API key.
- `403` — The API key is missing a required scope or is the wrong type for this endpoint.
- `404` — Entity not found.
- `429` — Rate limit exceeded. See the \`Retry-After\` header.
- `500` — Internal server error.

Response example, 200:

```json
{
  "items": [
    {
      "id": "string",
      "gameType": "string",
      "visibility": "private",
      "playerCount": 0,
      "host": {
        "displayName": "string",
        "image": "string"
      },
      "board": {
        "id": "string",
        "name": "string"
      },
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "paging": {
    "nextCursor": "string"
  }
}
```
